import { DatePicker } from "antd";
import React from "react";

interface HnDatePickerProps {
  picker: any;
  onChange?: (value: any) => void;
  value?: any;
  isRange: boolean;
}

const HnDatePicker: React.FC<HnDatePickerProps> = (props) => {
  const { isRange, value, picker, onChange } = props;

  if (isRange) {
    return (
      <DatePicker.RangePicker
        inputReadOnly
        picker={picker}
        value={value}
        onChange={onChange}
      ></DatePicker.RangePicker>
    );
  }
  return (
    <DatePicker
      value={value}
      picker={picker}
      onChange={onChange}
      inputReadOnly
    ></DatePicker>
  );
};

export default HnDatePicker;
