import { Radio } from "antd";
import React from "react";

interface FormRadioProps {
  option: { label: string; value: string }[];
  onChange?: (value: any) => void;
  value?: any;
}

const FormRadio: React.FC<FormRadioProps> = ({ option, onChange, value }) => {
  let optionTemp: any = [...option];
  optionTemp = optionTemp.map((v: any) => {
    if (typeof v === "string") return { label: v, value: v };

    return v;
  });
  return (
    <Radio.Group onChange={onChange} value={value}>
      {optionTemp.map((item: any) => {
        return <Radio value={item.value}>{item.label}</Radio>;
      })}
    </Radio.Group>
  );
};

export default FormRadio;
