import { Select } from "antd";
import { useMemo } from "react";

interface HnSelectProps {
  value?: any;
  onChange?: (value: any) => void;
  option?: string[] | { label: string; value: string }[];
  multiple?: boolean;
  [kye: string]: any;
}

const HnSelect = (props: HnSelectProps) => {
  const { option, multiple, value, onChange, ...config } = props;

  /** 构造适用的option */
  const newOption = useMemo(() => {
    let temp!: any[];
    if (typeof option === "string") {
      temp = (option as string).split(",");
    } else if (Array.isArray(option)) {
      temp = option;
    }
    return temp?.map((item) => {
      if (typeof item === "string") {
        return { label: item, value: item };
      }
      return item;
    });
  }, [option]);
  return (
    <Select
      value={value}
      onChange={onChange}
      mode={multiple ? "multiple" : undefined}
      style={{ width: 160 }}
      options={newOption}
      {...config}
    />
  );
};

export default HnSelect;
