import { Component, Property } from "../decorator";
import BaseFormComponent, { BaseConfig } from "./base";
import fileIcon from "@/assets/images/setting/file.png";

class FileUploadConfig extends BaseConfig {
  @Property({
    def: "上传文件",
    desc: "提示",
    type: "TextInput",
  })
  placeholder!: string;
  @Property({
    desc: "打印",
    def: false,
    type: "Checkbox",
  })
  print?: boolean;

  @Property({
    desc: "必须",
    def: true,
    type: "Checkbox",
  })
  require?: boolean;

  @Property({
    desc: "模版",
    def: "",
    type: "FileUpload",
  })
  templateUrl?: string;

  constructor() {
    super();
    this.init();
  }
}

/** 文本组件 */
@Component({
  icon: fileIcon,
  name: "文件",
  description: "",
})
export class FileUpload extends BaseFormComponent {
  constructor() {
    super();
    this.label = "文件";
    this.componentOption = new FileUploadConfig();
  }
}
