import { Component, Property } from "../decorator";
import BaseFormComponent, { BaseConfig } from "./base";
import imgIcon from "@/assets/images/setting/img.png";

class ImgUploadConfig extends BaseConfig {
  constructor() {
    super();
    this.init();
  }

  @Property({
    desc: "打印",
    def: false,
    type: "Checkbox",
  })
  print?: boolean;

  @Property({
    desc: "必须",
    def: true,
    type: "Checkbox",
  })
  require?: boolean;

  @Property({
    desc: "模版",
    def: "",
    type: "ImgUpload",
  })
  templateUrl?: string;
}

/** 文本组件 */
@Component({
  icon: imgIcon,
  name: "图片",
  description: "",
})
export class ImgUpload extends BaseFormComponent {
  constructor() {
    super();
    this.label = "图片";
    this.componentOption = new ImgUploadConfig();
  }
}
