import { Component, Property } from "../decorator";
import BaseFormComponent, { BaseConfig } from "./base";
import numberIcon from "@/assets/images/setting/number.png";

class NumberConfig extends BaseConfig {
  @Property({
    def: "请输入",
    desc: "提示",
    type: "TextInput",
    config: {
      placeholder: "请输入文本",
    },
  })
  placeholder!: string;

  type = "number";
  @Property({
    desc: "打印",
    def: false,
    type: "Checkbox",
  })
  print?: boolean;

  @Property({
    desc: "必须",
    def: true,
    type: "Checkbox",
  })
  require?: boolean;

  constructor() {
    super();
    this.init();
  }
}

/** 文本组件 */
@Component({
  icon: numberIcon,
  name: "数字",
  description: "",
})
export class NumberInput extends BaseFormComponent {
  constructor() {
    super();
    this.label = "数字";
    this.componentOption = new NumberConfig();
  }
}
