import { Component, Property } from "../decorator";
import BaseFormComponent, { BaseConfig } from "./base";
import phoneIcon from "@/assets/images/setting/phone.png";

class PhoneConfig extends BaseConfig {
  constructor() {
    super();
    this.init();
  }
  @Property({
    def: "请输入手机号",
    desc: "提示",
    config: {
      placeholder: "请输入文本",
    },
    type: "TextInput",
  })
  placeholder!: string;

  @Property({
    desc: "打印",
    def: false,
    type: "Checkbox",
  })
  print?: boolean;

  @Property({
    desc: "必须",
    def: true,
    type: "Checkbox",
  })
  require?: boolean;
}

/** 文本组件 */
@Component({
  icon: phoneIcon,
  name: "手机号",
  description: "",
})
export class PhoneInput extends BaseFormComponent {
  constructor() {
    super();
    this.label = "手机号";

    this.componentOption = new PhoneConfig();
    /** 验证规则  */
    this.validationRules = [
      {
        message: "请输入正确的手机号",
        pattern: /^1[3-9][0-9]{9}$/,
      },
    ];
  }
}
