import { Component, Property } from "../decorator";
import BaseFormComponent, { BaseConfig } from "./base";
import radioIcon from "@/assets/images/setting/radio.png";

class RadioConfig extends BaseConfig {
  constructor() {
    super();
    this.init();
  }
  @Property({
    def: "",
    desc: "添加选项",
    type: "List",
  })
  option!: string;
  @Property({
    desc: "打印",
    def: false,
    type: "Checkbox",
  })
  print?: boolean;

  @Property({
    desc: "必须",
    def: true,
    type: "Checkbox",
  })
  require?: boolean;
}

/** 文本组件 */
@Component({
  icon: radioIcon,
  name: "单选",
  description: "",
})
export class Radio extends BaseFormComponent {
  constructor() {
    super();
    this.label = "单选";

    this.componentOption = new RadioConfig();
  }
}
