import { Component, Property } from "../decorator";

import BaseFormComponent, { BaseConfig } from "./base";
import textareaIcon from "@/assets/images/setting/textarea.png";

class TextConfig extends BaseConfig {
  constructor() {
    super();
    this.init();
  }
  @Property({
    def: "请输入",
    desc: "提示",
    config: {
      placeholder: "请输入提示",
    },
    type: "TextInput",
  })
  placeholder!: string;
  @Property({
    desc: "打印",
    def: false,
    type: "Checkbox",
  })
  print?: boolean;

  @Property({
    desc: "必须",
    def: true,
    type: "Checkbox",
  })
  require?: boolean;
}

/** 文本组件 */
@Component({
  icon: textareaIcon,
  name: "多行输入",
  description: "",
})
export class TextAreaInput extends BaseFormComponent {
  constructor() {
    super();
    this.label = "多行输入";
    this.componentOption = new TextConfig();
  }
}
