import { Flex, Space } from "antd";
import styles from "./itemCard.module.css";
import icon from "@/assets/images/icon/icon1.png";
import { useNavigate } from "react-router-dom";
import ArrowTag from "@/components/ArrowTag";

const ItemCard: React.FC<{ data: any }> = (props) => {
  const { data } = props;
  const navigate = useNavigate();

  const clickHandler = (nodeInfo: any) => {
    const id = nodeInfo.elementId ?? "";

    navigate(`/management/${data.id}?active=${id}`);
  };
  return (
    <div className={styles.container}>
      <Flex gap={24} align="center">
        <img src={icon} alt="" style={{ width: 86, height: 86 }} />
        <div className={styles.title}>{data.thingName}</div>
      </Flex>
      <Space>
        <ArrowTag
          text={data.thingType ? "行政许可" : "行政备案"}
          style={{ color: "rgba(0, 119, 255, 1)" }}
        ></ArrowTag>
        <ArrowTag
          text={data.implementingAgency}
          color="#FFE0B7"
          style={{
            color: "rgba(255, 128, 3, 1)",
          }}
        ></ArrowTag>
      </Space>
      <div className={styles.list}>
        {data?.nodeCount?.map((v: any) => {
          return (
            <Flex
              align="center"
              justify="center"
              className={styles.itemStatus}
              onClick={clickHandler.bind(this, v)}
            >
              <Flex align="center" gap={9}>
                <div className={styles.itemName}>{v.elementName}</div>
                <div className={styles.value}>{v.elementCount}</div>
              </Flex>
            </Flex>
          );
        })}
      </div>
    </div>
  );
};

export default ItemCard;
