import service from "@/service";
import useUserStore from "@/store/useUserStore";
import autofit from "autofit.js";
import { useEffect } from "react";
import { Navigate, Outlet } from "react-router-dom";

const Root = () => {
  autofit.init({
    dh: 1080,
    dw: 1920,
    el: "body",
    resize: true,
  });
  const { updateAdminInfo, updateUserInfo } = useUserStore();

  const adminToken = localStorage.getItem("admin_token");
  const userToken = localStorage.getItem("user_token");

  /** 获取用户信息 */
  useEffect(() => {
    if (adminToken && location.pathname.includes("management")) {
      service.loginService.getStaffInfo().then((res) => {
        if (res.code === 200) {
          updateAdminInfo(res.data);
        }
      });
    }
    if (userToken && location.pathname.includes("apply")) {
      service.loginService.getUserProfileInfo().then((res) => {
        if (res.code === 200) {
          updateUserInfo(res.data.appUser);
        }
      });
    }
  }, []);

  return (
    <>
      {location.pathname === "/" && <Navigate replace to="/apply" />}
      <Outlet></Outlet>
    </>
  );
};

export default Root;
