import { Base64 } from "js-base64";
import type { RespResult } from "./core/interface";
import request from "./core/request";

/**
 * 获取token
 * @param
 * @returns
 */
export function getToken(params: { username: string; password: string }) {
  return request.post<RespResult<API.UserInfo>>("/login/auth/oauth2/token", {
    /** 去掉前缀 */
    prefix: "",
    requestType: "form",
    headers: {
      Authorization: `Basic ${Base64.encode("cgtf:cgtf")}`,
    },
    data: {
      ...params,
      grant_type: "password",
      scope: "server",
    },
  });
}

/**
 * 获取token
 * @param
 * @returns
 */
export function getUserToken(params: { username: string; password: string }) {
  return request.post<RespResult<API.UserInfo>>("/login/auth/oauth2/token", {
    /** 去掉前缀 */
    prefix: "",
    requestType: "form",
    headers: {
      Authorization: `Basic ${Base64.encode("cgtf:cgtf")}`,
      "CLIENT-TOC": "Y",
    },
    data: {
      ...params,
      grant_type: "password",
      scope: "server",
    },
  });
}

export function getUserProfileInfo() {
  return request.get<RespResult<{ appUser: API.UserInfo }>>(
    "/login/app/app-user/info",
    {
      prefix: "",
      headers: {
        "CLIENT-TOC": "Y",
      },
    }
  );
}

/** 获取用户基本信息 */
export function getStaffInfo() {
  return request.get<RespResult<API.UserInfo>>(
    "/login/admin/login/user/simple-info",
    {
      prefix: "",
    }
  );
}

// export function ()
